Xenodia Docs
API ReferenceGenerated Reference

List public models

Returns currently available public models, payment hints, and capability metadata. This endpoint is public and does not require an API key.

GET
/v1/models

Response Body

application/json

curl -X GET "https://api.xenodia.xyz/v1/models"
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "object": "model",
      "name": "string",
      "owned_by": "string",
      "brand_key": "string",
      "brand_image_url": "string",
      "upstream_id": "string",
      "released_at": "2019-08-24T14:15:22Z",
      "modalities": [
        "text"
      ],
      "description": "string",
      "price_input_per_m": 0,
      "price_output_per_m": 0,
      "capabilities": {},
      "enabled": true,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "available_channels": [
        {}
      ]
    }
  ],
  "payment": {
    "minimum_topup_amount_micro": "string",
    "recommended_topup_amount_micro": "string",
    "topup_endpoint": "string",
    "amount_param": "string",
    "amount_header": "string"
  }
}